#!/bin/bash
#SBATCH -n 128
#SBATCH --time=1:00:00
#SBATCH --job-name=al-test
#SBATCH --mem-per-cpu=1000
#SBATCH --output=std_euler_%j.out
#SBATCH --error=std_euler_%j.err

seedname=m1
#seedname=rut
ncpu=128

# scf
mpirun -n $ncpu pw.x -nk 4 < ${seedname}.scf.in > ${seedname}.scf.out

# nscf IBZ calc
mpirun -n $ncpu pw.x -nk 4 < ${seedname}.nscf.in > ${seedname}.nscf.out

# wannierize
wannier90.x -pp ${seedname}
mpirun -n 64 pw2wannier90.x < ${seedname}.pw2wan.in > ${seedname}.pw2wan.out
python3 bond_proj_amn.py
wannier90.x ${seedname}

# create h5 archive
python3 convert.py

