#!/bin/bash
#SBATCH -n 128
#SBATCH --time=1:00:00
#SBATCH --job-name=al-test
#SBATCH --mem-per-cpu=1000
#SBATCH --output=std_euler_%j.out
#SBATCH --error=std_euler_%j.err

WAN2RES=/cluster/project/spaldin/wan2respack/1.0/bin/

seedname=m1
ncpu=128

# scf
mpirun -n $ncpu pw.x -nk 4 < ${seedname}.scf.in > ${seedname}.scf.out

# nscf IBZ calc
mpirun -n $ncpu pw.x -nk 4 < ${seedname}.nscf.in > ${seedname}.nscf.out

# pre-process
python ${WAN2RES}wan2respack.py -pp conf.toml

# fix kpoint issue
sed -i -e 's/scf/bands/g' ${seedname}.nscf_wannier.in

# wannier90 run
mpirun -n 64 pw.x -nk 4 < ${seedname}.nscf_wannier.in > ${seedname}.nscf_wannier.out
wannier90.x -pp ${seedname}
mpirun -n 64 pw2wannier90.x < ${seedname}.pw2wan.in > ${seedname}.pw2wan.out
python3 bond_proj_amn.py
wannier90.x ${seedname}

# wannier90 results to RESPACK inputs
python ${WAN2RES}wan2respack.py conf.toml

