#!/bin/bash

TESTDIR='test'
DUMMYDIR='dummy_dist_test'

#create atpos files
cd ./$DUMMYDIR/atpos
python3 create_atpos.py
cd ../..

#rm -r ./$TESTDIR
mkdir ./$TESTDIR

for dist in ${seq 0.0 1.7 0.1}
do

# make folders
mkdir ./$TESTDIR/$dist/
mkdir ./$TESTDIR/$dist/QE_tmp
mkdir ./$TESTDIR/$dist/run
mkdir ./$TESTDIR/$dist/save
cp -r ./pseudo ./$TESTDIR/$dist/
cp -r ./$DUMMYDIR/* ./$TESTDIR/$dist/save


cd ./$TESTDIR/$dist/save/

# make QE inputs
cat ../../../$DUMMYDIR/atpos/$dist.qe-atpm >> m1.scf.in
cat ../../../$DUMMYDIR/atpos/$dist.qe-atpm >> m1.nscf.in
cat ../../../$DUMMYDIR/atpos/$dist.qe-atpm >> m1.mod_scf.in
cat ../../../$DUMMYDIR/atpos/$dist.qe-atpm >> m1.bnd.in

# make W90 input
cat ../../../$DUMMYDIR/atpos/$dist.wan-atpm >> m1.1.win
echo "end projections" >> m1.1.win
echo "" >> m1.1.win
echo "begin atoms_cart" >> m1.1.win
cat ../../../$DUMMYDIR/atpos/$dist.qe-atpm >> m1.1.win
cat m1.2.win >> m1.1.win
cp m1.1.win m1.win

sbatch sjob_dmft_slurm-srun.sh

cd ../../..

done
