# %%
import numpy as np


# %%
def percentile(a, b, percentile):
    return (1 - percentile) * a + percentile * b


# %%
def QEstring_to_array(QEstring):
    pos = []

    for line in QEstring.splitlines():
        nums = [float(el) for el in line.split()[1:4]]
        pos.append(nums)

    return pos


# %%
rut = """ V 0.5  1.0  1.0
        V 1.0  1.0  1.0
        V 0.5  0.5  0.5
        V 1.0  0.5  0.5
        O 0.15005  0.30010  0.30010
        O 0.65005  0.30010  0.30010
        O 0.85005  0.69990  0.69990
        O 0.35005  0.69990  0.69990
        O 0.35005  0.80010  0.19990
        O 0.85005  0.80010  0.19990
        O 0.65005  0.19990  0.80010
        O 0.15005  0.19990  0.80010 """

m1 = """ V  0.51053  0.97894  0.97354
        V  0.98947  1.02106  1.02646
        V  0.51053  0.52106  0.47354
        V  0.98947  0.47894  0.52646
        O  0.15051  0.29742  0.29884
        O  0.64384  0.28815  0.29141
        O  0.85616  0.71185  0.70859
        O  0.34949  0.70258  0.70116
        O  0.34949  0.79742  0.20116
        O  0.85616  0.78815  0.20859
        O  0.64384  0.21185  0.79141
        O  0.15051  0.20258  0.79884"""

# %%
pos000 = QEstring_to_array(rut)
pos100 = QEstring_to_array(m1)

# %%
dims = np.arange(0.0, 1.8, 0.1)

for dim in dims:
    atpm = percentile(np.array(pos000), np.array(pos100), dim)
    np.savetxt("./{:.4f}.qe-atpm".format(dim), atpm, fmt="%.8f")

    with open("./{:.4f}.qe-atpm".format(dim)) as fp:
        lines = fp.read().splitlines()
    with open("./{:.4f}.qe-atpm".format(dim), "w") as fp:
        for i, line in enumerate(lines):
            if i < 4:
                print("V " + line, file=fp)
            else:
                print("O " + line, file=fp)
